当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : Ubuntu8.04 cupsys总是错误
帖子发表于 : 2010-04-25 23:26 

注册: 2009-03-10 20:58
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
8.04的系统,2.26.24-24的kernel,想装打印机,可cupsys总是错误。

代码:
sudo dpkg --configure -a
正在设置 cupsys (1.3.7-1ubuntu3.9) ...
Reloading AppArmor profiles : done.
 * Starting Common Unix Printing System: cupsd                                  cupsd: Child exited on signal 15!
invoke-rc.d: initscript cupsys, action "start" failed.
dpkg:处理 cupsys (--configure)时出错:
 子进程 post-installation script 返回了错误号 3
在处理时有错误发生:
 cupsys


一开始是cups不能启动,按照论坛上已经有的解决方法,
引用:
sudo /etc/init.d/cups start

结果不行,提示sudo: /etc/init.d/cups: command not found
换成restart也不行。
用Boot up manager看,cups后面的灯泡是黑的。
然后装HP的驱动,出错,
代码:
Running 'sudo aptitude install --assume-yes libcupsys2'
Please wait, this may take several minutes...
error: Package install command failed with error code 255

其实早就开始出错了:
代码:
warning: An error occurred running 'sudo dpkg --configure -a'
sudo dpkg --configure -a (Pre-depend step 1)
warning: An error occurred running 'sudo apt-get install --yes --force-yes -f'
sudo apt-get install --yes --force-yes -f (Pre-depend step 2)
warning: An error occurred running 'sudo aptitude update'
sudo aptitude update (Pre-depend step 3)


很无奈,请问大家该怎么办?


页首
 用户资料  
 
2 楼 
 文章标题 : Re: Ubuntu8.04 cupsys总是错误
帖子发表于 : 2010-04-25 23:44 

注册: 2009-03-10 20:58
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
有人说用chkifconfig这个命令检查,我的系统怎么没有这个命令?

还有,运行
代码:
service cups start

运行结果是
代码:
cups: unrecognized service


页首
 用户资料  
 
3 楼 
 文章标题 : Re: Ubuntu8.04 cupsys总是错误
帖子发表于 : 2010-04-25 23:53 

注册: 2009-03-10 20:58
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
有说卸载libcupsys2的,我运行了一下,吓死我了:
代码:
sudo apt-get autoremove libcupsys2
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
读取状态信息... 完成             
已经不需要下列自动安装的软件包:
  libcommons-collections3-java libswing-layout-java menu libarts1c2a junit4
  krita-data libattr1-dev libzzip-0-13 libgsf-gnome-1-114 libartsc0 libmtp7
  libmono-security1.0-cil libqimageblitz4 libcommons-pool-java libaspell-dev
  libpth20 libsigc++-2.0-dev dia-libs libatk1.0-dev debhelper
  kdebase-data-kde4 libsmbclient-dev intltool-debian libmono-sharpzip0.84-cil
  libkeyutils-dev kdesdk-scripts-kde4 liblucene-java ubuntu-gdm-themes
  libjasper-dev sqlite mplayer-skins libotr2 libcommons-el-java libbeecrypt6
  libsvga1 libpango1.0-dev libmono-system-web1.0-cil libbeagle1 libpcre3-dev
  junit libsoprano-dev libglew1.5 libfreemarker-java python-gdata
  libregexp-java libboost-dev libcommons-modeler-java abiword-common
  libstreams-dev compizconfig-backend-gconf liblog4j1.2-java javahelp2
  po-debconf ncurses-term liblualib50 libflac++6 kdeedu-data libfftw3-3
  ubuntu-wallpapers libcairo2-dev libboost-thread1.34.1 libsgutils1
  totem-common gnumeric-common koffice-data liblucene2-java libsasl2-dev
  libboost-date-time1.34.1 libtomcat5.5-java libldap2-dev libdvbpsi4
  libmono-cairo2.0-cil kalzium-data libgif-dev libxosd2 x11proto-composite-dev
  jockey-common libbcel-java libtorrent-rasterbar0 libphonon-dev
  libgoffice-0-6-common libvlc0 libcairomm-1.0-dev libmono-addins0.2-cil ant
  libcommons-launcher-java blt libusb-dev devhelp-common
  libcommons-logging-java libenca0 kapptemplate-kde4 libpth-dev python-tk
  librpm4.4 libacl1-dev vlc-nox python-compizconfig libggi2 libavahi-qt3-1
  libglibmm-2.4-dev atomix-data hspell x11proto-damage-dev libgii1
  libflickrnet2.1.5-cil libupnp2 libdbus-1-dev libxslt1-dev libwxbase2.6-0
  ksysguardd-kde4 libcaptury0 libcrypto++7 libmono1.0-cil libxdamage-dev
  libcommons-dbcp-java libmono-data-tds1.0-cil kstars-data pax libxml2-dev
  libtiff4-dev libmono-system-data1.0-cil libgii1-target-x
  libcommons-collections-java libdvdnav4 libnb-platform7-devel-java rpm
  libcommons-beanutils-java libiso9660-5 libgpgme11-dev tcl8.4
  libxcomposite-dev libasound2-dev kdebase-workspace-data libmozjs0d
  kdepimlibs5 libtiffxx0c2 libqimageblitz-dev libcommons-digester-java tk8.4
  libdb4.5-java python-4suite-xml libaubio2 libpoppler-qt2 libgpgme11
  libjtidy-java libnb-platform7-java libcapseo0 libboost-filesystem1.34.1
  libxml-commons-resolver1.1-java vlc-plugin-pulse html2text poxml-kde4
  libpixman-1-dev libtar libservlet2.3-java liblucene-java-doc libopenexr-dev
  indi libxul-common liblua50 libjsch-java gnash-common sqlite3
  libavahi-common-dev ant-optional alien libvcdinfo0 libebml0
  transmission-common libstreamanalyzer-dev libid3-3.8.3c2a liblame0
  kdepimlibs-data libmx4j-java libmatroska0 libenchant-dev libbz2-dev hwtest
  libxkbfile-dev
将会安装下列额外的软件包:
  xulrunner-1.9
下列软件包将被【卸载】:
  abiword-common abiword-gnome adobe-flashplugin adobeair1.0 afterstep
  alacarte ale alien amule ant ant-optional apport-gtk apturl at-spi atomix
  atomix-data audacity avant-window-navigator avidemux avidemux-common
  awn-manager barrybackup-gui blt bluez-cups bluez-gnome brasero brltty-x11
  bug-buddy bum cervisia-kde4 compiz compiz-gnome compiz-plugins
  compizconfig-backend-gconf compizconfig-settings-manager
  contact-lookup-applet cups-pdf cupsddk cupsddk-drivers cupsys cupsys-bsd
  cupsys-client cupsys-driver-gutenprint debhelper denemo deskbar-applet
  devhelp devhelp-common dia-common dia-gnome dia-libs dict.cn
  displayconfig-gtk dolphin-kde4 eclipse eclipse-jdt eclipse-pde
  eclipse-platform eclipse-rcp ekiga eog epiphany-browser epiphany-gecko
  evince evolution evolution-exchange evolution-plugins evolution-webcal
  f-spot fast-user-switch-applet file-roller flashplugin-nonfree
  foomatic-db-hpijs gaim gcalctool gconf-editor gdebi gdm gedit gftp-gtk
  ghostscript ghostscript-x gimp gimp-gnomevfs gimp-python gksu glade-3 gnash
  gnash-common gnome-accessibility-themes gnome-app-install gnome-applets
  gnome-btdownload gnome-control-center gnome-core gnome-games
  gnome-icon-theme gnome-keyring gnome-keyring-manager gnome-mag gnome-media
  gnome-menus gnome-mount gnome-netstatus-applet gnome-nettool gnome-office
  gnome-orca gnome-panel gnome-pilot gnome-pilot-conduits gnome-power-manager
  gnome-screensaver gnome-session gnome-settings-daemon gnome-spell
  gnome-system-monitor gnome-system-tools gnome-terminal gnome-themes
  gnome-user-guide gnome-utils gnome-volume-manager gnumeric gnumeric-common
  google-chrome-beta google-desktop-linux gpaint gparted
  gstreamer0.10-plugins-good gthumb gtk-sopcast gtk2-engines
  gtk2-engines-murrine gtk2-engines-pixbuf gtk2-engines-ubuntulooks
  gtkhtml3.14 gucharmap hal-cups-utils hal-device-manager hpijs hplip hspell
  html2text human-theme hwdb-client-gnome hwtest hwtest-gtk imagemagick indi
  inkscape intltool-debian javahelp2 jockey-common jockey-gtk junit junit4 k3d
  kalzium kalzium-data kappfinder-kde4 kapptemplate-kde4 kate-kde4
  kaudiocreator kbugbuster-kde4 kcachegrind-kde4 kchart kde4-core kde4-devel
  kdebase-bin-kde4 kdebase-data-kde4 kdebase-dev-kde4 kdebase-kde4
  kdebase-runtime kdebase-runtime-bin-kde4 kdebase-workspace
  kdebase-workspace-bin kdebase-workspace-data kdeedu-data kdelibs4c2a
  kdelibs5-dev kdemultimedia-kio-plugins kdepasswd-kde4 kdepimlibs-data
  kdepimlibs5 kdepimlibs5-dev kdesdk-kde4 kdesdk-kio-plugins-kde4
  kdesdk-misc-kde4 kdesdk-scripts-kde4 kdesdk-strigi-plugins-kde4 kdm-kde4
  kfind-kde4 kghostview klipper-kde4 koffice-data koffice-libs kompare-kde4
  kompozer konqueror-kde4 konqueror-nsplugins-kde4 konsole-kde4 koshell krita
  krita-data kstars kstars-data ksysguard-kde4 ksysguardd-kde4 kuiviewer-kde4
  kwin-kde4 kwrite-kde4 language-selector libacl1-dev libafterimage0
  libafterstep1 libappframework-java libarts1c2a libartsc0 libasound2-dev
  libaspell-dev libatk1.0-dev libatspi1.0-0 libattr1-dev libaubio2
  libavahi-common-dev libavahi-qt3-1 libavahi-ui0 libawn0 libbcel-java
  libbeagle1 libbeansbinding-java libbeecrypt6 libbonoboui2-0
  libboost-date-time1.34.1 libboost-dev libboost-filesystem1.34.1
  libboost-thread1.34.1 libbz2-dev libcairo2-dev libcairomm-1.0-dev libcapseo0
  libcaptury0 libcommons-beanutils-java libcommons-collections-java
  libcommons-collections3-java libcommons-dbcp-java libcommons-digester-java
  libcommons-el-java libcommons-launcher-java libcommons-logging-java
  libcommons-modeler-java libcommons-pool-java libcrypto++7 libcupsimage2
  libcupsys2 libcupsys2-dev libdb4.5-java libdbus-1-dev libdeskbar-tracker
  libdevhelp-1-0 libdvbpsi4 libdvdnav4 libebml0 libedataserverui1.2-8
  libeel2-2 libenca0 libenchant-dev libexchange-storage1.2-3 libfftw3-3
  libflac++6 libflickrnet2.1.5-cil libfreemarker-java libgail-common
  libgail-gnome-module libgail18 libgdl-1-0 libgdl-gnome-1-0 libggi2
  libgif-dev libgii1 libgii1-target-x libgimp2.0 libgksu2-0 libgksuui1.0-1
  libglade2-0 libglade2-dev libglade2.0-cil libglademm-2.4-1c2a
  libglademm-2.4-dev libgladeui-1-7 libglew1.5 libglibmm-2.4-dev
  libgnome-desktop-2 libgnome-window-settings1 libgnome2-canvas-perl
  libgnome2-perl libgnome2.0-cil libgnomecanvas2-0 libgnomecups1.0-1
  libgnomekbd2 libgnomekbdui2 libgnomeprint2.2-0 libgnomeprintui2.2-0
  libgnomeui-0 libgoffice-0-6 libgoffice-0-6-common libgpgme11 libgpgme11-dev
  libgpod-common libgpod2 libgpod3 libgs8 libgsf-gnome-1-114 libgtk-vnc-1.0-0
  libgtk2-gladexml-perl libgtk2-perl libgtk2.0-0 libgtk2.0-bin libgtk2.0-cil
  libgtk2.0-dev libgtkglext1 libgtkhtml2-0 libgtkhtml2.0-cil libgtkhtml3.14-19
  libgtkhtml3.16-cil libgtkhtml3.8-15 libgtkmm-2.4-1c2a libgtkmm-2.4-dev
  libgtksourceview1.0-0 libgtksourceview2.0-0 libgtkspell0 libgucharmap6
  libgutenprintui2-1 libgweather1 libid3-3.8.3c2a libini4j-java libiso9660-5
  libjasper-dev libjsch-java libjtidy-java libkcddb1 libkdeedu3
  libkdegames4-kde4 libkeyutils-dev libkonq5 libkonq5-dev liblame0
  liblaunchpad-integration0 liblaunchpad-integration1 libldap2-dev
  liblog4j1.2-java liblpint-bonobo0 liblua50 liblualib50 liblucene-java
  liblucene-java-doc liblucene2-java libmagick++10 libmagick10 libmatroska0
  libmetacity0 libmono-addins-gui0.2-cil libmono-addins0.2-cil
  libmono-cairo2.0-cil libmono-data-tds1.0-cil libmono-security1.0-cil
  libmono-sharpzip0.84-cil libmono-system-data1.0-cil
  libmono-system-web1.0-cil libmono1.0-cil libmozjs0d libmtp7 libmx4j-java
  libnautilus-burn4 libnautilus-extension1 libnb-apisupport1-java
  libnb-ide8-java libnb-java1-java libnb-javaparser-java
  libnb-platform7-devel-java libnb-platform7-java libnb-svnclientadapter-java
  libnotify1 libopenexr-dev libotr2 libpanel-applet2-0 libpango1.0-dev
  libpcre3-dev libphonon-dev libpixman-1-dev libplasma-dev libplasma1
  libpolkit-gnome0 libpoppler-glib2 libpoppler-qt2 libpth-dev libpth20
  libqimageblitz-dev libqimageblitz4 libqt3-mt-dev libregexp-java librpm4.4
  librsvg2-2 librsvg2-common librsvg2.0-cil libsasl2-dev libservlet2.3-java
  libsexy2 libsgutils1 libsigc++-2.0-dev libsmbclient-dev libsoprano-dev
  libstreamanalyzer-dev libstreams-dev libsvga1 libswing-layout-java
  libswingworker-java libswt3.2-gtk-java libswt3.2-gtk-jni libtar libtiff4-dev
  libtiffxx0c2 libtomcat5.5-java libtorrent-rasterbar0 libtotem-plparser10
  libtotem-plparser7 libtracker-gtk0 libupnp2 libusb-dev libvcdinfo0 libvlc0
  libvte9 libwmf0.2-7 libwnck22 libwxbase2.6-0 libwxgtk2.6-0 libwxgtk2.8-0
  libxcomposite-dev libxdamage-dev libxine1 libxine1-misc-plugins
  libxine1-plugins libxkbfile-dev libxml-commons-resolver1.1-java libxml2-dev
  libxosd2 libxslt1-dev libxul-common libxul0d libzzip-0-13 linuxqq lsb
  lsb-core lsb-cxx lsb-desktop lsb-graphics lsb-languages lsb-multimedia
  lsb-printing menu metacity mousetweaks mozilla-plugin-gnash mplayer
  mplayer-skins nautilus nautilus-cd-burner nautilus-sendto nautilus-share
  ncurses-term netbeans network-manager-gnome notification-daemon
  nvidia-settings nvu onboard openjdk-6-jdk openjdk-6-jre
  openjdk-6-jre-headless openjdk-6-jre-lib openoffice.org openoffice.org-base
  openoffice.org-calc openoffice.org-common openoffice.org-core
  openoffice.org-draw openoffice.org-evolution openoffice.org-filter-binfilter
  openoffice.org-filter-mobiledev openoffice.org-gnome openoffice.org-gtk
  openoffice.org-help-zh-cn openoffice.org-help-zh-tw openoffice.org-impress
  openoffice.org-java-common openoffice.org-l10n-zh-cn
  openoffice.org-l10n-zh-tw openoffice.org-math openoffice.org-officebean
  openoffice.org-style-human openoffice.org-writer openoffice.org-writer2latex
  pax peazip pidgin pidgin-otr planner pnm2ppa po-debconf policykit-gnome
  poxml-kde4 python-4suite-xml python-at-spi python-compizconfig python-cups
  python-gdata python-glade2 python-gmenu python-gnome2 python-gnome2-desktop
  python-gnome2-extras python-gnomecanvas python-gtk2 python-gtkhtml2
  python-gtksourceview2 python-launchpad-integration python-notify
  python-pyatspi python-sexy python-tk python-uno python-virtkey python-vte
  qbittorrent realplay rhythmbox rpm rss-glx sagcad scim scim-gtk2-immodule
  scim-modules-table scim-pinyin scim-tables-zh screensaver-default-images
  scribus seahorse serpentine software-properties-gtk sound-juicer splix
  sqlite sqlite3 ssh-askpass-gnome synaptic system-config-printer-common
  system-config-printer-gnome systemsettings-kde4 tagtool tangerine-icon-theme
  tcl8.4 tk8.4 tomboy totem totem-common totem-gstreamer totem-mozilla
  totem-plugins tracker tracker-search-tool transmission-common
  transmission-gtk tsclient ubufox ubuntu-artwork ubuntu-desktop ubuntu-docs
  ubuntu-gdm-themes ubuntu-wallpapers umbrello-kde4 update-manager
  update-notifier vinagre vino vlc vlc-nox vlc-plugin-pulse
  x11proto-composite-dev x11proto-damage-dev xdg-user-dirs-gtk xsane
  xscreensaver-data xscreensaver-gl yelp zenity
下列的软件包将被升级:
  xulrunner-1.9
共升级了 1 个软件包,新安装了 0 个软件包,要卸载 595 个软件包,有 15 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
需要下载 29.7kB 的软件包。
操作完成后,会释放 2080MB 的磁盘空间。
您希望继续执行吗?[Y/n]n
中止执行。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译